rotary-gpio-custom: depend on Linux 3.18 and 4.4 (will not work on newer kernels)
authorFelix Fietkau <nbd@nbd.name>
Fri, 27 Jan 2017 11:49:55 +0000 (12:49 +0100)
committerFelix Fietkau <nbd@nbd.name>
Wed, 1 Feb 2017 16:49:53 +0000 (17:49 +0100)
Signed-off-by: Felix Fietkau <nbd@nbd.name>
package/kernel/rotary-gpio-custom/Makefile

index f338fe7..e1cf7ff 100644 (file)
@@ -16,7 +16,7 @@ include $(INCLUDE_DIR)/package.mk
 define KernelPackage/rotary-gpio-custom
   SUBMENU:=Other modules
   TITLE:=Custom GPIO-based rotary encoder device
-  DEPENDS:=@GPIO_SUPPORT +kmod-input-gpio-encoder
+  DEPENDS:=@GPIO_SUPPORT +kmod-input-gpio-encoder @LINUX_3_18||LINUX_4_4
   FILES:=$(PKG_BUILD_DIR)/rotary-gpio-custom.ko
   KCONFIG:=
 endef